{
  "format_version": "1.19.0",
  "animation_controllers": {
    "controller.animation.pr_anomalo.attack": {
      "initial_state": "moving",
      "states": {
        "moving": {
          "animations": [
            {
              "swim": "query.is_in_water"
            },
            {
              "beached": "query.is_on_ground && !query.is_in_water"
            },
            {
              "turn": "query.is_in_water"
            }
          ],
          "transitions": [
            {
              "attack": "variable.attack_time>0.1"
            }
          ]
        },
        "attack": {
          "animations": [
            {
              "attack": "query.is_in_water"
            }
          ],
          "transitions": [
            {
              "moving": "query.all_animations_finished"
            }
          ]
        }
      }
    }
  }
}